ball = Image.load("ball.png", VRAM)

screen.spaceBetweenScreens = 10

inc = 3
angle = 0

coords = {
{10, 10, inc, inc, SCREEN_HEIGHT},
{100, 100, -1 * inc, -inc, SCREEN_HEIGHT},
{80, 123, -1 * inc, inc, 2*SCREEN_HEIGHT}
}

while not Keys.newPress.Start do

	Controls.read()

	screen.startDrawing()
	
	angle = angle + 10
	if angle > 511 then angle = angle - 511 end
	ball:rotate(angle, ball:width()/2, ball:height()/2)

	for i=1, 3 do
		if coords[i][1] <= 0 then coords[i][3]  = inc end
		if coords[i][1] > SCREEN_WIDTH-ball:height()  then coords[i][3]  = -1 * inc end
		if coords[i][2] <= 0 then coords[i][4]  = inc end
		if coords[i][2] > coords[i][5]-ball:width() then coords[i][4]  = -1 * inc end		
		coords[i][1] = coords[i][1] + coords[i][3]
		coords[i][2] = coords[i][2] + coords[i][4]
		if i == 1 then 			
			ball:setTint(Color.new(31, 0, 0))
			screen.blit(SCREEN_UP, coords[i][1], coords[i][2], ball)
		end
		if i == 2 then 
			ball:setTint(Color.new(0, 31, 0))
			screen.blit(SCREEN_DOWN, coords[i][1], coords[i][2], ball)
		end		
		if i == 3 then 
			ball:setTint(Color.new(31, 31, 0))
			screen.blit(SCREEN_BOTH, coords[i][1], coords[i][2], ball)
		end		
	end
	
	screen.print(SCREEN_UP, 0, 0, "Press START to quit")
	screen.print(SCREEN_DOWN, 0, 0, "FPS: "..NB_FPS)
	
	screen.stopDrawing()

end
