music = Mod.load("test.bin")
Mod.play(music)

volume = Mod.initVolume(music) -- 0 to 128

Debug.ON()
Debug.print("A: pause/resume")
Debug.print("B: stop")
Debug.print("X: play")
Debug.print("Up, Down: volume +/-")
Debug.print("START: quit")

while not Keys.newPress.Start do

	Controls.read()

	if Keys.newPress.A then Mod.pauseResume() end
	if Keys.newPress.B then Mod.stop() end
	if Keys.newPress.X then Mod.play(music) end
	if Keys.newPress.Up then
		volume = volume + 10
		if volume > 128 then volume = 128 end
		Mod.setVolume(volume)
	end
	if Keys.newPress.Down then
		volume = volume - 10
		if volume <0 then volume = 0 end
		Mod.setVolume(volume)
	end

	screen.startDrawing()
	screen.print(SCREEN_UP, 0, 0, "Active: "..Mod.isActive())
	screen.print(SCREEN_UP, 0, 8, "Paused: "..Mod.isPaused())
	screen.print(SCREEN_UP, 0, 16, "Volume: "..volume)
	screen.print(SCREEN_UP, 0, 36, "Time: "..Mod.time(music))
	screen.stopDrawing()

end

Mod.stop()